Resolve Account
curl --request POST \
--url https://johnajayi-avenue.hf.space/v1/banks/resolve \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"account_number": "<string>",
"bank_code": "<string>"
}
'import requests
url = "https://johnajayi-avenue.hf.space/v1/banks/resolve"
payload = {
"account_number": "<string>",
"bank_code": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_number: '<string>', bank_code: '<string>'})
};
fetch('https://johnajayi-avenue.hf.space/v1/banks/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"account_number": "0554772814",
"account_name": "M.A Animashaun"
}
}
Banks
Resolve Account
Look up an external bank account name using the account number and bank code.
POST
/
v1
/
banks
/
resolve
Resolve Account
Request Headers
string
required
Your live or test API key.
Request Body
string
required
The external 10-digit NUBAN account number.
string
required
The CBN bank code of the destination (e.g.
058 for GTB). Retrieve this from the List Banks endpoint.Response
All amounts and balances in this endpoint are represented in kobo (e.g.,
500000 = ₦5,000.00). Ensure you do not send or expect Naira values.{
"success": true,
"data": {
"account_number": "0554772814",
"account_name": "M.A Animashaun"
}
}
Was this page helpful?